<?php
class Xan_model extends CI_Model{
	public function __construct(){
		parent::__construct();
	}

	public function listar_utl_xhc($xhc){
		$query 	= "	SELECT
						a.ate_id
					FROM
						atencion AS a
					WHERE a.hc_id = $xhc
					ORDER BY a.ate_id DESC
					LIMIT 1";
		$query 	= $this->db->query($query);
		return 	$query->row();
	}

	public function listar_x_xhc($xhc=0){
		$query 	= "	SELECT
						atencion.ate_id,
						atencion.ate_fecha,
						atencion.ate_horai,
						atencion.ate_horaf,
						atencion.ate_anamnesis,
						atencion.ate_fisico,
						atencion.ate_talla,
						atencion.ate_peso,
						atencion.ate_imc,
						atencion.ate_pabdominal,
						atencion.ate_edad,
						atencion.ate_drogas,
						atencion.ate_ncigarros,
						atencion.ate_estado,
						atencion.cit_id,
						atencion.hc_id,
						atencion.prog_id,
						hc.hc_apenombres
					FROM
						atencion
					INNER JOIN hc ON atencion.hc_id = hc.hc_id
					WHERE atencion.hc_id = $xhc AND atencion.ate_estado = 0
					ORDER BY atencion.ate_fecha ASC";
		return 	$this->db->query($query);
	}

	public function listar_x_xhc_h($xhc){
		$query 	= "	SELECT
						hatencion.anamnesis,
						hatencion.diagnostico,
						hatencion.receta,
						hatencion.examen,
						hatencion.indicaciones,
						hcita.fecha,
						hcita.idhistoria as hc_id,
						hc.hc_apenombres,
						hc.hc_dni
					FROM
						hatencion
					INNER JOIN hcita ON hatencion.idcita = hcita.idcita
					INNER JOIN hc ON hcita.idhistoria = hc.hc_id
					WHERE hcita.idhistoria = $xhc
					ORDER BY hcita.fecha DESC";
		return 	$this->db->query($query);
	}

	public function ver($id){
		$query 	= "	SELECT
						atencion.ate_id,
						atencion.ate_fecha,
						atencion.ate_horai,
						atencion.ate_horaf,
						atencion.ate_anamnesis,
						atencion.ate_fisico,
						atencion.ate_talla,
						atencion.ate_peso,
						atencion.ate_imc,
						atencion.ate_pabdominal,
						atencion.ate_edad,
						atencion.ate_drogas,
						atencion.ate_ncigarros,
						atencion.ate_estado,
						atencion.cit_id,
						atencion.hc_id,
						atencion.prog_id,
						hc.hc_apenombres
					FROM
						atencion
					INNER JOIN hc ON atencion.hc_id = hc.hc_id
					WHERE atencion.ate_id = $id";
		$query 	= $this->db->query($query);
		return 	$query->row();
	}

	public function verh($id){
		$query 	= "	SELECT
						hatencion.idatencion,
						hatencion.idprogramacion,
						hatencion.iddetalle,
						hatencion.idcita,
						hatencion.anamnesis,
						hatencion.diagnostico,
						hatencion.receta,
						hatencion.examen,
						hatencion.indicaciones,
						hatencion.hc_id,
						hcita.idhistoria,
						hc.hc_apenombres,
						hprogramacion.fecha
					FROM
						hatencion
					INNER JOIN hcita ON hatencion.idcita = hcita.idcita
					INNER JOIN hc ON hcita.idhistoria = hc.hc_id
					INNER JOIN hprogramacion ON hcita.idprogramacion = hprogramacion.idprogramacion
					WHERE hatencion.idatencion = $id";
		$query 	= $this->db->query($query);
		return 	$query->row();
	}

	public function insertar($data){
		$this->db->insert('atencion', $data);
		return 	$this->db->insert_id();
	}

	public function editar($id, $data){
		$this->db->where('ate_id', $id);
		$this->db->update('atencion', $data);
	}

	public function listarh1($xhc=0){
		$query 	= "	SELECT
						atencion.ate_id,
						atencion.ate_fecha
					FROM
						atencion
					WHERE atencion.hc_id = $xhc
					ORDER BY atencion.ate_fecha ASC";
		return 	$this->db->query($query);
	}

	/**/

	public function listarh2($xhc=0){
		$query 	= "	SELECT
						hatencion.idatencion,
						hatencion.idprogramacion,
						hatencion.iddetalle,
						hatencion.idcita,
						hatencion.anamnesis,
						hatencion.diagnostico,
						hatencion.receta,
						hatencion.examen,
						hatencion.indicaciones,
						hatencion.hc_id,
						hcita.idhistoria,
						hprogramacion.fecha
					FROM
						hatencion
					INNER JOIN hcita ON hatencion.idcita = hcita.idcita
					INNER JOIN hprogramacion ON hatencion.idprogramacion = hprogramacion.idprogramacion
					WHERE hcita.idhistoria = $xhc
					ORDER BY hprogramacion.fecha DESC";
		return 	$this->db->query($query);
	}
}